package AppuntamentoPS;

import java.util.ArrayList;

public class ProvaApp {
  
	public static void main(String[] args) {
		
	  GestioneAppuntamenti GestApp=new GestioneAppuntamenti();
	  
	  Medico m1 = new Medico ("Giovanni","Bianchi","GVIBCH123213","Chirurgia","primario");
	  Medico m2 = new Medico ("Paolo","Rossi","RSSPLO123213","Nefrologia", "assistente");
	  GestApp.aggiungiMedico(m1);
	  GestApp.aggiungiMedico(m2);
	  
	  Paziente p1=new Paziente ("Francesco", "Verdi","FRCVRD1234","Calcoli");
	  Paziente p2=new Paziente ("Marco","Frate","MRCFRT4567","ciste");
	  Paziente p3=new Paziente ("Ferdinando","Colombo","FRDCLB7890", "febbre");
	  GestApp.aggiungiPaziente(p1);
	  GestApp.aggiungiPaziente(p2);
	  GestApp.aggiungiPaziente(p3);
	  
  	  Stanza s1 = new Stanza("A6");
  	  Stanza s2 = new Stanza("B2");
  	  GestApp.aggiungiStanza(s2);
  	  GestApp.aggiungiStanza(s1);
  	  
  	  //richiama il metodi che dato il cf restituisce la persona corrispondente
  	  Persona p= GestApp.cercaPersona("RSSPLO123213");
	  System.out.println (p.getCognome()+p.getNome());
  	  
	   	  	 System.out.println("");
	  	   
  	   Appuntamento a = new Appuntamento(p1,m2,s1,"Data2",15);
  	    GestApp.aggiungiAppuntamento(a);
  	      	   
	   Appuntamento a2 = new Appuntamento(p2,m1,s1,"Data",13);
  	    GestApp.aggiungiAppuntamento(a2);
		
  	   Appuntamento a3 = new Appuntamento(p1,m1,s2,"Data",14);
  	    GestApp.aggiungiAppuntamento(a3);
  	   
  	   Appuntamento a4=new Appuntamento (p3,m2,s2,"Data",17);
		 GestApp.aggiungiAppuntamento(a4);
  	    
  	  /*richiama il metodo che resttuisce tutti gli appuntamenti per una determinata stanza in un
  	   * determinato giorno	  
  	   */
  	   ArrayList<Appuntamento> appuntamenti= GestApp.appuntamentiStanza(s1,"Data");
  	   for(Appuntamento app: appuntamenti){
  	   System.out.println("Gli appuntamenti per la stanza "+s1+"\n"+app);
  	   }
  	   
  	 System.out.println("");
  	   
  	 // richiama il metodo che restituisce la lista di tutti gli appuntamenti per un medico
  	   ArrayList<Appuntamento> appunMedico= GestApp.appuntamentiMedico(m1);
  	   System.out.println("Gli appuntamenti per il medico "+m1+" sono: ");
  	   for(Appuntamento apps: appunMedico){
  		 System.out.println("Data "+apps.getData()+" ora: "+apps.getOra()+"\n"+"Paziente: "+apps.getPaziente());
  		 }
  	  
  	   //Medico con più Appuntamenti in un dato giorno
  	   Medico med=GestApp.medicoPiuAppuntamenti("Data");
  	   System.out.println(med);
  	  
		System.out.println("OK");
  }

}